#!/usr/bin/perl

BEGIN {
  unless ($ENV{AUTHOR_TESTING}) {
    require Test::More;
    Test::More::plan(skip_all => 'these tests are for testing by the author');
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::EOL 0.18

use Test::More 0.88;
use Test::EOL;

my @files = (
    'lib/HTML/FormFu/Constraint/DBIC/Unique.pm',
    'lib/HTML/FormFu/Model/DBIC.pm',
    't/constraints/dbic_unique.t',
    't/constraints/dbic_unique.yml',
    't/constraints/dbic_unique_column.yml',
    't/constraints/dbic_unique_id_field.yml',
    't/constraints/dbic_unique_method.yml',
    't/constraints/dbic_unique_others.yml',
    't/constraints/dbic_unique_repeatable_id_field.t',
    't/constraints/dbic_unique_repeatable_id_field.yml',
    't/create/basic.t',
    't/create/basic.yml',
    't/default_values/basic.t',
    't/default_values/basic.yml',
    't/default_values/basic_nested.t',
    't/default_values/basic_nested.yml',
    't/default_values/belongs_to_lookup_table.t',
    't/default_values/belongs_to_lookup_table.yml',
    't/default_values/belongs_to_lookup_table_combobox.t',
    't/default_values/belongs_to_lookup_table_combobox.yml',
    't/default_values/empty_rows_zero.t',
    't/default_values/empty_rows_zero.yml',
    't/default_values/has_many_combobox.t',
    't/default_values/has_many_combobox.yml',
    't/default_values/has_many_repeatable.t',
    't/default_values/has_many_repeatable.yml',
    't/default_values/has_many_repeatable_delete_true.t',
    't/default_values/has_many_repeatable_delete_true.yml',
    't/default_values/has_many_repeatable_label.t',
    't/default_values/has_many_repeatable_label.yml',
    't/default_values/has_many_repeatable_nested.t',
    't/default_values/has_many_repeatable_nested.yml',
    't/default_values/has_many_repeatable_new.t',
    't/default_values/has_many_repeatable_new.yml',
    't/default_values/has_many_select.t',
    't/default_values/has_many_select.yml',
    't/default_values/has_one.t',
    't/default_values/has_one.yml',
    't/default_values/has_one_nested.t',
    't/default_values/has_one_nested.yml',
    't/default_values/label.t',
    't/default_values/label.yml',
    't/default_values/many_to_many-has_many.t',
    't/default_values/many_to_many-has_many.yml',
    't/default_values/many_to_many_checkboxgroup.t',
    't/default_values/many_to_many_checkboxgroup.yml',
    't/default_values/many_to_many_repeatable.t',
    't/default_values/many_to_many_repeatable.yml',
    't/default_values/many_to_many_repeatable_nested.t',
    't/default_values/many_to_many_repeatable_nested.yml',
    't/default_values/many_to_many_repeatable_new.t',
    't/default_values/many_to_many_repeatable_new.yml',
    't/default_values/many_to_many_select.t',
    't/default_values/many_to_many_select.yml',
    't/default_values/many_to_many_select_nested.t',
    't/default_values/many_to_many_select_nested.yml',
    't/default_values/methods.t',
    't/default_values/methods.yml',
    't/default_values/might_have.t',
    't/default_values/might_have.yml',
    't/default_values/might_have_missing.t',
    't/default_values/multi_label.t',
    't/default_values/multi_label.yml',
    't/default_values/nested_name_accessor.t',
    't/default_values/nested_name_accessor.yml',
    't/default_values/opt_accessor.t',
    't/default_values/opt_accessor.yml',
    't/default_values/opt_accessor_nested.t',
    't/default_values/opt_accessor_nested.yml',
    't/lib/DBICTestLib.pm',
    't/lib/HTMLFormFu/I18N.pm',
    't/lib/HTMLFormFu/I18N/en.pm',
    't/lib/HTMLFormFu/MockContext.pm',
    't/lib/MySchema.pm',
    't/lib/MySchema/Address.pm',
    't/lib/MySchema/Band.pm',
    't/lib/MySchema/HasMany.pm',
    't/lib/MySchema/ManagedBand.pm',
    't/lib/MySchema/Manager.pm',
    't/lib/MySchema/Master.pm',
    't/lib/MySchema/Note.pm',
    't/lib/MySchema/Schedule.pm',
    't/lib/MySchema/Task.pm',
    't/lib/MySchema/TwoNote.pm',
    't/lib/MySchema/Type.pm',
    't/lib/MySchema/Type2.pm',
    't/lib/MySchema/User.pm',
    't/lib/MySchema/UserBand.pm',
    't/lib/MySchemaRS/User.pm',
    't/options_from_model/belongs_to.t',
    't/options_from_model/belongs_to.yml',
    't/options_from_model/belongs_to_combobox.t',
    't/options_from_model/belongs_to_combobox.yml',
    't/options_from_model/belongs_to_config_zero.t',
    't/options_from_model/belongs_to_config_zero.yml',
    't/options_from_model/belongs_to_config_zero_combobox.t',
    't/options_from_model/belongs_to_config_zero_combobox.yml',
    't/options_from_model/belongs_to_localize_label.t',
    't/options_from_model/belongs_to_localize_label.yml',
    't/options_from_model/condition_from_stash.t',
    't/options_from_model/condition_from_stash.yml',
    't/options_from_model/condition_from_stash_combobox.t',
    't/options_from_model/condition_from_stash_combobox.yml',
    't/options_from_model/condition_from_stash_combobox_complex.t',
    't/options_from_model/condition_from_stash_complex.t',
    't/options_from_model/constraint_autoset.t',
    't/options_from_model/constraint_autoset.yml',
    't/options_from_model/enum_select.t',
    't/options_from_model/enum_select.yml',
    't/options_from_model/has_many_repeatable_select.t',
    't/options_from_model/has_many_repeatable_select.yml',
    't/options_from_model/many_to_many_select.t',
    't/options_from_model/many_to_many_select.yml',
    't/options_from_model/many_to_many_select_restricted.t',
    't/options_from_model/many_to_many_select_restricted.yml',
    't/update/add_valid.t',
    't/update/basic.yml',
    't/update/basic_create.t',
    't/update/basic_update.t',
    't/update/belongs_to.t',
    't/update/belongs_to_combobox.t',
    't/update/belongs_to_create.t',
    't/update/belongs_to_create_required.t',
    't/update/belongs_to_lookup_table_combobox.t',
    't/update/belongs_to_lookup_table_combobox.yml',
    't/update/belongs_to_select.t',
    't/update/belongs_to_select.yml',
    't/update/belongs_to_select_two.yml',
    't/update/column_without_field.t',
    't/update/column_without_field.yml',
    't/update/has_many_repeatable.t',
    't/update/has_many_repeatable.yml',
    't/update/has_many_repeatable_delete_true.t',
    't/update/has_many_repeatable_delete_true.yml',
    't/update/has_many_repeatable_many_new.t',
    't/update/has_many_repeatable_many_new.yml',
    't/update/has_many_repeatable_many_new_exceed_max.t',
    't/update/has_many_repeatable_new.t',
    't/update/has_many_repeatable_new.yml',
    't/update/has_many_repeatable_new_date.t',
    't/update/has_many_repeatable_new_date.yml',
    't/update/has_many_repeatable_new_dependon.t',
    't/update/has_many_repeatable_new_dependon.yml',
    't/update/has_many_repeatable_new_empty.t',
    't/update/has_many_repeatable_new_implicit.t',
    't/update/has_many_repeatable_new_implicit.yml',
    't/update/has_many_repeatable_new_required_when.t',
    't/update/has_many_repeatable_new_required_when.yml',
    't/update/has_one.t',
    't/update/has_one.yml',
    't/update/has_one_create.t',
    't/update/has_one_no_id.t',
    't/update/has_one_no_id.yml',
    't/update/has_one_select.t',
    't/update/has_one_select.yml',
    't/update/ignore_if_empty.t',
    't/update/ignore_if_empty.yml',
    't/update/many_to_many-has_many.t',
    't/update/many_to_many_checkboxgroup.t',
    't/update/many_to_many_checkboxgroup.yml',
    't/update/many_to_many_checkboxgroup_read_only.t',
    't/update/many_to_many_checkboxgroup_read_only.yml',
    't/update/many_to_many_checkboxgroup_restricted.t',
    't/update/many_to_many_checkboxgroup_restricted.yml',
    't/update/many_to_many_checkboxgroup_unselected.t',
    't/update/many_to_many_repeatable.t',
    't/update/many_to_many_repeatable.yml',
    't/update/many_to_many_repeatable_new.t',
    't/update/many_to_many_repeatable_new.yml',
    't/update/many_to_many_select.t',
    't/update/many_to_many_select.yml',
    't/update/many_to_many_select_additive.yml',
    't/update/many_to_many_select_unselected.t',
    't/update/methods.t',
    't/update/methods.yml',
    't/update/might_have.t',
    't/update/might_have.yml',
    't/update/might_have_create.t',
    't/update/might_have_delete_if_empty.t',
    't/update/might_have_delete_if_empty.yml',
    't/update/nested.yml',
    't/update/nested_create.t',
    't/update/nested_create_checkbox.t',
    't/update/nested_name_accessor.t',
    't/update/nested_repeatable_write.t',
    't/update/nested_repeatable_write.yml',
    't/update/null_if_empty.t',
    't/update/null_if_empty.yml',
    't/update/opt_accessor.t',
    't/update/opt_accessor.yml',
    't/update/opt_accessor_nested.t',
    't/update/opt_accessor_nested.yml',
    't/update/unchecked_not_null_checkbox.t',
    't/x_roundtrip/checkbox.yml',
    't/x_roundtrip/checkbox_false2true.t',
    't/x_roundtrip/checkbox_true2false.t'
);

eol_unix_ok($_, { trailing_whitespace => 1 }) foreach @files;
done_testing;
